USE [dbReporter_0809]
GO

INSERT INTO [dbo].[tblCustomQueryParameters]
           ([Type]
           ,[Field]
           ,[Query])
     VALUES
     ('NTFS', 'Permission Differences', 
	 'DECLARE @UserSupplied NVARCHAR(100) 
DECLARE @permissionDifferences TABLE (operator NVARCHAR(1), Name NVARCHAR(100));
INSERT INTO @permissionDifferences
VALUES (N''+'', N''Added Permissions'')
INSERT INTO @permissionDifferences
VALUES (N''-'', N''Removed Permissions'')
INSERT INTO @permissionDifferences
VALUES (N''*'', N''Modified Permissions'')
INSERT INTO @permissionDifferences
VALUES (N''='', N''Same as Parent Permissions'')

SELECT DISTINCT Name 
FROM @permissionDifferences p
INNER JOIN [tblDACE]
ON [tblDACE].[Operator]  = p.operator
WHERE @UserSupplied IS NULL OR p.Name IN (SELECT Name from @permissionDifferences p WHERE p.Name LIKE ''%'' + @UserSupplied + ''%'');')
GO

